<?php
// ini_set('display_errors', 'on');
require __DIR__ . '/config.php';
require __DIR__ . '/functions.php';
require '/usr/local/cpanel/php/cpanel.php';  // Instantiate the CPANEL object.

$cpanel = new CPANEL();  // Connect to cPanel - only do this once.

$resultA = $cpanel->uapi('Locale', 'get_attributes');  // Get the user's current locale setting.

if ($resultA['cpanelresult']['result']['status'] && !empty($resultA['cpanelresult']['result']['data']['locale'])) {
    $locale = $resultA['cpanelresult']['result']['data']['locale'];
    
    if (file_exists(__DIR__ . '/langs/lang-' . $locale . '.php'))
        include __DIR__ . '/langs/lang-' . $locale . '.php';
    else
        include __DIR__ . '/langs/lang-en.php';
} else
    include __DIR__ . '/langs/lang-en.php';

echo $cpanel->header('', 'cxs-scan');  // Add the header.
?>
<link rel="stylesheet" type="text/css" href="css/index.css">
<script src="/unprotected/libraries/jquery/current/jquery.min.js"></script>
<?php
$user = $cpanel->cpanelprint('$user');
$params = ['user' => $user];
$accountInfo = callWhmApi('accountsummary', $params);

if ($accountInfo['metadata']['result'] && !empty($accountInfo['data']['acct'][0]['email'])) {
    $email = $accountInfo['data']['acct'][0]['email'];
    
    if (($pos = strpos($email, ',')) !== false)
        $email = substr($email, 0, $pos);  // Get the first email address.
?>
<div>
    <div class="alert alert-info function-description">
        <span class="glyphicon glyphicon-info-sign"></span>
        <div class="alert-message">
            <?php echo $LANG['Function description no.1']; ?>
            <br><br>
            <?php echo nl2br($LANG['Function description no.2']); ?>
            <br><br>
            <?php echo nl2br($LANG['Function description no.3']); ?>
        </div>
    </div>
    <div id="loading-div" class="loading">
        <img src="images/loading.gif">
    </div>
    <div id="alert-container" class="alert-container">
        <div id="alert-danger" class="alert alert-danger">
            <button class="close">×</button>
            <span class="glyphicon glyphicon-remove-sign"></span>
            <div class="alert-message">
                <strong class="alert-title"><?php echo $LANG['Error:']; ?></strong>
                <span class="alert-body"></span>
            </div>
        </div>
        <div id="alert-success" class="alert alert-success">
            <button class="close">×</button>
            <span class="glyphicon glyphicon-ok-sign"></span>
            <div class="alert-message">
                <strong class="alert-title"><?php echo $LANG['Success:']; ?></strong>
                <span class="alert-body"></span>
            </div>
        </div>
    </div>
    <div class="section">
        <p><?php echo $LANG['After the scan is done, the system will mail the report to'].' '.$email.' '.$LANG['.']; ?></p>
        <div class="form-group">
            <a href="javascript:void(0)" class="btn btn-primary" id="scan-btn"><?php echo $LANG['Scan']; ?></a>
        </div>
    </div>
</div>
<script type="text/javascript">
$(function () {
    $('.close').click(function () {
        $(this).parents('.alert').hide();
        $(this).parents('.alert-container').hide();
    });
    
    $('#scan-btn').click(function () {
        $.ajax({
            url: 'add-scan-job.live.php',
            type: 'POST',
            data: {user: '<?php echo $user; ?>',
                   email: '<?php echo $email; ?>'},
            success: function (msg) {
                if (msg.trim().substring(0, 7) == 'success') {
                    $('#alert-success .alert-body').text('<?php echo $LANG['The system will do the scan soon. You will receive a report email after the scan is done.']; ?>');
                    $('#alert-success').show();
                } else {
                    var message = '<?php echo $LANG['Unable to do the scan.']; ?>';
                    
                    if (msg.trim().substring(0, 9) == 'scheduled')
                        message += '<?php echo $LANG['A scan job has been scheduled.']; ?>';
                    else if (msg.trim().substring(0, 10) == 'time limit')
                        message += '<?php echo $LANG['The start time of the previous scan job is 1 hour less than the current time.']; ?>';
                    else
                        console.log(msg);
                    
                    $('#alert-danger .alert-body').text(message);
                    $('#alert-danger').show();
                }
                
                $('#alert-container').fadeIn();
            },
            beforeSend: function () {
                $('#loading-div').show();
                $('#alert-container').hide();
                $('#alert-container .alert').hide();
            },
            complete: function () {
                $('#loading-div').hide();
            }
        });
    });
});
</script>
<?php } else { ?>
<div>
    <div class="alert alert-danger">
        <span class="glyphicon glyphicon-remove-sign"></span>
        <div class="alert-message">
            <strong class="alert-title"><?php echo $LANG['Information:']; ?></strong>
            <span class="alert-body"><?php echo $LANG['You have no email address.']; ?></span>
        </div>
    </div>
</div>
<?php } ?>
<script type="text/javascript">
$(function () {
    $('title').append('<?php echo $LANG['ConfigServer eXploit Scanner Scan']; ?>');
    $('#pageHeading').text('<?php echo $LANG['ConfigServer eXploit Scanner Scan']; ?>');
});
</script>
<?php
echo $cpanel->footer();  // Add the footer.

$cpanel->end();  // Disconnect from cPanel - only do this once.
?>
